{ config, pkgs, ... }:

# unreserve ctrl+w shortcuts

{
  nixpkgs.config.packageOverrides = pkgs: with pkgs; {
    firefox-unwrapped = stdenv.mkDerivation {
      inherit (firefox-unwrapped) name version;

      buildCommand = ''
        mkdir -p $out
        cp -ra ${firefox-unwrapped}/. $out/.
        chmod +w -R $out
        sed -i "s|${firefox-unwrapped}|$out|g" $out/bin/firefox
        sed -i 's/reserved="true"/               /g' $out/lib/firefox/browser/omni.ja
      '';

      inherit (firefox-unwrapped) meta;
      passthru = {
        inherit (firefox-unwrapped.passthru) version isFirefox3Like gtk
          nspr gssSupport browserName ffmpegSupport gtk3;
      };
    };
  };
}

